********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### mxv ###
c
c     Multiplies the matrix DX(nr,nc) times the vector DV(nc) and stores 
c     the result in the vector DY(nr) by means of calling DGEMV 
c
      subroutine  mxv (dx,nr,dv,nc,dvr)
      integer*4  nr,nc,incr
      real*8  alpha,beta,dx(nr,nc),dv(nc),dvr(nr)
      character*1 trans
      data trans/'n'/,incr/1/,alpha/1.d0/,beta/0.d0/

      call dgemv (trans,nr,nc,alpha,dx,nr,dv,incr,beta,dvr,incr)

      return
      end



